// include the neopixel library
#include <Adafruit_NeoPixel.h>

//give names to all the pins that we're going to use 
#define pin1 6

// create the string object that controls the strip and attach it to pin one
// we will attach it to the other pins as necessary using the strip.setPin() function
Adafruit_NeoPixel strip = Adafruit_NeoPixel(4, pin1, NEO_RGB + NEO_KHZ400);

// define the length of a time unit
//3600000 corresponds to a time slot of one hour

int slot = 1000;

// define the length of each program slot in time units
int a = 1; 
int b = 1;
int c = 1;
int d = 1;

//set the strips and fans up
void setup(){ 
 strip.begin();
 strip.show();
}
 
 //run the program specified in hourset for a,b,c,d... time units
void loop(){ 

  for (int i = 0; i < a; i++){
    slotset( 255, 255, 255);
    delay(slot);
  }
  for (int i = 0; i < b; i++){
    slotset( 255, 0, 255);
    
    delay(slot);
  }
  for (int i = 0; i < c; i++){
    slotset( 0, 255, 255);
    delay(slot);
  }
  for (int i = 0; i < d; i++){
    slotset( 255, 255, 0);
    delay(slot);
  }
  
} 


// set the lights in a strip to a colour and the fan to an intensity for one hour
void slotset( int r, int g, int b){

  colorWipe(strip.Color(r,g,b),0);
  
}

void colorWipe(uint32_t c, uint8_t wait) {
  for(uint16_t i=0; i<strip.numPixels(); i++) {
      strip.setPixelColor(i, c);
      strip.show();
      delay(wait);
  }
}
